commit 443245384239776d29f5386050f56247c7404c1e
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Thu Feb 29 19:01:49 2024 +0000

    LibreSSL: fix build for 3.5.0+    Bug 3074

diff --git a/src/src/tls-openssl.c b/src/src/tls-openssl.c
index 237303ba9..e6a1c6fa4 100644
--- a/src/src/tls-openssl.c
+++ b/src/src/tls-openssl.c
@@ -97,6 +97,9 @@ change this guard and punt the issue for a while longer. */
 #if LIBRESSL_VERSION_NUMBER >= 0x3040000fL
 # define EXIM_HAVE_OPENSSL_CIPHER_GET_ID
 #endif
+#if LIBRESSL_VERSION_NUMBER >= 0x3050000fL
+# define EXIM_HAVE_OPENSSL_OCSP_RESP_GET0_CERTS
+#endif
 
 #if !defined(LIBRESSL_VERSION_NUMBER) && (OPENSSL_VERSION_NUMBER >= 0x030000000L)
 # define EXIM_HAVE_EXPORT_CHNL_BNGNG

